version: '3'
services:
  app:
    build: .
    container_name: hilfedeskwebsite
    volumes:
      - ./app:/var/www/html
    ports:
      - 8082:80
    environment:
      - APP_ENV=local
      - APP_DEBUG=true
    networks:
      - hilfedeskwebsite
    depends_on:
      - db    

  db:
    image: mysql:8.0
    container_name: hilfedeskwebsitedb
    restart: unless-stopped
    environment:
      MYSQL_DATABASE: hilfedeskwebsitedb
      MYSQL_ROOT_PASSWORD: password
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - hilfedeskwebsitedb:/var/lib/mysql
    ports:
      - 8083:3306
    networks:
      - hilfedeskwebsite


networks:
    hilfedeskwebsite:
        driver: bridge
volumes:
    hilfedeskwebsitedb:
        driver: local